@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@400;700&family=Poppins:wght@600&display=swap");

* {
  box-sizing: border-box;
}

/* General Styles */

body {
  color: hsl(192, 100%, 9%);
  font-family: "Open Sans", sans-serif;
  margin: 0;
}
h1,
h2 {
  font-family: "Poppins", sans-serif;
  font-weight: 700;
}

img {
  max-width: 100%;
}

.logo {
  display: inline-block;
  width: 200px;
}

.image {
  margin-left: 30px;
}

.btn {
  padding: 15px 60px;
  border: none;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  border-radius: 50px;
  background: #fff;
  font-weight: 700;
  font-size: 16px;
  cursor: pointer;
}

.btn-primary {
  background-color: hsl(322, 100%, 66%);
  color: #fff;
}

.flex {
  display: flex;
  align-items: center;
}

.social-media-links {
  display: flex;
  align-items: center;
  justify-content: center;
}
.align-start {
  align-items: flex-start;
}
.flex > div,
.flex > ul {
  flex: 1;
}

.container {
  width: 1000px;
  max-width: 100%;
  padding: 0 20px;
  margin: 0 auto;
}

.center {
  text-align: center;
}

/* Header Styles */

header {
  background: url(./images/bg-hero-desktop.svg) no-repeat center center/cover;
  background-color: hsl(193, 100%, 96%);
  padding: 40px 0;
}

nav {
  align-items: center;
  justify-content: space-between;
  margin-bottom: 40px;
}

/* Box Styles */

.box {
  border-radius: 15px;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
  margin: 50px 0px;
  padding: 60px;
  background-color: #fff;
}

.small-box {
  display: inline-block;
  width: 70%;
  margin-bottom: -50%;
}

.box img {
  width: 60%;
}
.box .reverse img {
  margin-left: 160px;
}

/* Footer Styles */

footer {
  background: hsl(192, 100%, 9%);
  color: #fff;
  padding: 180px 0 60px 0;
}

footer ul {
  list-style-type: none;
}

footer ul li {
  padding-bottom: 20px;
}

footer .circle {
  display: inline-flex;
  align-items: center;
  justify-content: center;
  text-decoration: none;
  width: 40px;
  height: 40px;
  margin-right: 15px;
  border: 1px solid #fff;
  border-radius: 50%;
  color: #fff;
}

footer p {
  text-align: right;
}

@media screen and (max-width: 768px) {
  body {
    text-align: center;
  }
  .flex {
    flex-direction: column;
  }

  nav.flex {
    flex-direction: row;
  }

  nav {
    margin-bottom: 70px;
  }

  .box img {
    width: 100%;
  }

  .box .reverse img {
    margin-left: 0;
  }

  .box-reverse-mobile {
    flex-direction: column-reverse;
  }

  .btn {
    padding: 9px 20px;
  }

  .logo {
    display: inline-block;
    width: 150px;
    margin-top: -7px;
  }

  .left {
    text-align: left;
    margin-bottom: 10px;
  }

  .container {
    text-align: left;
  }

  .btn-primary {
    margin-left: 16px;
  }

  .btn-big {
    margin-left: -5px;
  }

  h1,
  h2 {
    line-height: 1.3;
  }
  p,
  h2 {
    text-align: left;
  }

  header p {
    text-align: left;
    margin-bottom: 30px;
    margin-left: 20px;
  }
  header h1 {
    text-align: left;
    margin-left: 20px;
  }
  header img {
    margin-top: 40px;
    margin-left: -8px;
  }

  .box {
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
  }
  footer {
    padding-top: 120px;
  }
  footer ul {
    padding: 0;
    text-align: left;
  }

  footer p {
    text-align: left;
  }

  .left {
    width: 150px;
  }
  .small-box {
    width: 100%;
    height: 250px;
    padding-bottom: 40px;
    padding-top: -99990px;
  }
}
